Page MenuHomePhabricator

Flow: Don't pollute rc stream with malformed RC events
Open, HighPublic

Description

Activity (such as replies) in Flow currently result in the following RC entry:

irc.wikimedia.org/#test2.wikipedia

rc-pmtpa: [[Talk:Flow QA]] ! http://test2.wikipedia.org/w/index.php?diff=0&oldid=0&rcid=82816 * Krinkle * (+31) reply,rpw4ywdy0xw7t5ou,rpwgr7r79uy8pznh

chat.freenode.net/#cvn-sw

[[m:CVNBot]]: IP [[test2wiki:User:162.222.73.148]] matched edit summary "[bcdfghjklmnpqrstvwxz]{8,}" (possible nonsense) [[test2wiki:Talk:Flow QA]] (+22) Diff: https://test2.wikipedia.org/?diff=0&oldid=0&rcid=82813 "reply,rpwgkgfa3bbexlwf,rpwgkgfd7m5qq1b3"

It is paramount that Flow generates more sensible RC events before being enabled in a visible way, to avoid:

  1. Unusable clutter for vandalism patrollers (they are overwhelmed as it is already in our crippled system).
  • and, though less important for the short term: --
  1. Spam evading our patrollers.

#1 Would be solved by having these not be useless (either don't emit rc events for now, or implement them in a way that produces a useful link and doesn't abuse the edit summary field).

#2 Would be solved by making the content actions (creation and modification of posts) patrollable by:

or; by continuing to keep them outside rcpatrol and instead provide a different means for patrollers to monitor Flow events on wikis with $wgUseRCPatrol enabled. Though I'd recommend against that as that will likely not take off and not integrate with any of the dozens of patrol workflows, and considering the patrol workforce isn't huge, giving them yet another thing to monitor is probably not productive, and would also cost more work by the Flow team to invent. So best to simply defer to the system core already has available. It's a very minimal system (simple boolean flag and log event), but you'd be surprised how much unofficial infrastructure is built atop that.


Version: unspecified
Severity: critical
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=60559

Details

Reference
bz61927

Event Timeline

bzimport raised the priority of this task from to High.
bzimport set Reference to bz61927.
bzimport added a subscriber: Unknown Object (MLST).
Krinkle created this task.Feb 25 2014, 8:25 PM
  • This bug has been marked as a duplicate of bug 60559 ***

Change 117246 had a related patch set uploaded by EBernhardson:
New hook CheckUserInsertForRecentChange

https://gerrit.wikimedia.org/r/117246

Change 117246 merged by jenkins-bot:
New hook CheckUserInsertForRecentChange

https://gerrit.wikimedia.org/r/117246

Change 117253 had a related patch set uploaded by EBernhardson:
Inject CheckUser data more directly

https://gerrit.wikimedia.org/r/117253

Change 117253 merged by jenkins-bot:
Inject CheckUser data more directly

https://gerrit.wikimedia.org/r/117253

This should be fixed - Krinkle or Lego, can you test to make sure? It appears the RC feed is an invite-only channel :)

(In reply to Maryana Pinchuk from comment #6)

This should be fixed - Krinkle or Lego, can you test to make sure? It
appears the RC feed is an invite-only channel :)

The RC feed is on a different IRC network (not freenode): irc://irc.wikimedia.org:6667/mediawiki.wikipedia (other currently relevant channels: #meta.wikimedia and #en.wikipedia )

I'm reopening this bug, because the current situation doesn't address Krinkle's concern #2 at all, and concern #1 still needs a working link. (Once the link works properly, this bug should probably be closed, and a new (less urgent) one created for concern #2 (integration with patrol workflows)

Detailed note:

I see this in today's #mediawiki.wikipedia feed:

broken (completely wrong page) diff link:
<rc-pmtpa> [[Talk:Beta Features/Hovercards]] ! http://www.mediawiki.org/w/index.php?diff=0&oldid=0&rcid=1060297 * TheDJ * (+1430)

(That should instead link to the actual: https://www.mediawiki.org/w/index.php?title=Talk:Beta_Features/Hovercards&topic_postId=rrdvkg8xh26l1z94&workflow=rrc19ij5nimkme01#flow-post-rrdvkg8xh26l1z94

Comparison item (a normal page edit):
<rc-pmtpa> [[Google Summer of Code 2014]] http://www.mediawiki.org/w/index.php?diff=936244&oldid=936243&rcid=1060272 * Qgil * (-619) Removing previous list of students interested

API XML feed output :

http://test2.wikipedia.org/w/api.php?format=jsonfm&action=query&list=recentchanges

The broken links are gone, but still is useless from the perspective of patrolling recent changes:

rc-pmtpa: [[Topic:S6hfg9fw4mka4cbb]] ! http://www.mediawiki.org/w/index.php?title=Topic:S6hfg9fw4mka4cbb&action=history * Krinkle * (+13) Krinkle commented on "Another new topic" (Another reply)

At some point in the past it linked to the topic page. That wasn't super useful as one had to find the right reply, but at least the relevant content was displayed at the provided link. And in most cases there would only be one post (creation of topic) or the first reply.

But now it doesn't do that anymore. Instead it now links to the history page which doesn't display the change made nor the topic changed. Instead it links to where the real recent changes are (action=history) and among other entries, one can find the right one:

That's basically the line that should be in the RC event. Especially the url behind "commented" would be expected to be in there.

Quiddity removed a subscriber: Maryana.Dec 19 2014, 1:42 AM
Nemo_bis renamed this task from Flow: Don't polute rc stream with malformed RC events to Flow: Don't pollute rc stream with malformed RC events.Jan 30 2015, 12:48 PM
Nemo_bis set Security to None.
Krinkle edited subscribers, added: Matanya; removed: Unknown Object (MLST).Mar 29 2015, 6:42 AM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptApr 6 2015, 8:35 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 20 2015, 6:51 AM
Restricted Application added a project: Growth-Team. · View Herald TranscriptJul 18 2018, 7:06 PM
SBisson moved this task from Inbox to Triaged but Future on the Growth-Team board.Jul 20 2018, 6:04 PM